<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: Expansion_M203_HE_Explosion Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d8/dc8/a08122.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Expansion_M203_HE_Explosion Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Expansion_M203_HE_Explosion:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d8/dc8/a08122.png" usemap="#Expansion_5FM203_5FHE_5FExplosion_map" alt=""/>
  <map id="Expansion_5FM203_5FHE_5FExplosion_map" name="Expansion_5FM203_5FHE_5FExplosion_map">
<area href="../../d6/dd3/a04866.html" alt="BuildingBase" shape="rect" coords="0,0,194,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a775c31ddf13d488da0bcb4fb46ed11eb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc8/a08122.html#a775c31ddf13d488da0bcb4fb46ed11eb">Expansion_M203_HE_Explosion</a> ()</td></tr>
<tr class="separator:a775c31ddf13d488da0bcb4fb46ed11eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29a18d1774243b0e12fe170afeceb0c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc8/a08122.html#a29a18d1774243b0e12fe170afeceb0c6">ExplodeNow</a> ()</td></tr>
<tr class="separator:a29a18d1774243b0e12fe170afeceb0c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8c7ac2f06f9e9227c7216c73ec2dd5bd"><td class="memItemLeft" align="right" valign="top">ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc8/a08122.html#a8c7ac2f06f9e9227c7216c73ec2dd5bd">m_Delay</a></td></tr>
<tr class="separator:a8c7ac2f06f9e9227c7216c73ec2dd5bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3a5c343c376c83ac6a79869bcacd569"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/d05/a07222.html">Particle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/dc8/a08122.html#ac3a5c343c376c83ac6a79869bcacd569">m_ParticleExplosion</a></td></tr>
<tr class="separator:ac3a5c343c376c83ac6a79869bcacd569"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/d60/a03446.html">M203.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2022 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/d60/a03446_source.html#l00013">13</a> of file <a class="el" href="../../d4/d60/a03446_source.html">m203.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a775c31ddf13d488da0bcb4fb46ed11eb" name="a775c31ddf13d488da0bcb4fb46ed11eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a775c31ddf13d488da0bcb4fb46ed11eb">&#9670;&#160;</a></span>Expansion_M203_HE_Explosion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Expansion_M203_HE_Explosion::Expansion_M203_HE_Explosion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d60/a03446_source.html#l00018">18</a> of file <a class="el" href="../../d4/d60/a03446_source.html">m203.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a29a18d1774243b0e12fe170afeceb0c6" name="a29a18d1774243b0e12fe170afeceb0c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29a18d1774243b0e12fe170afeceb0c6">&#9670;&#160;</a></span>ExplodeNow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Expansion_M203_HE_Explosion::ExplodeNow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d60/a03446_source.html#l00028">28</a> of file <a class="el" href="../../d4/d60/a03446_source.html">m203.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8c7ac2f06f9e9227c7216c73ec2dd5bd" name="a8c7ac2f06f9e9227c7216c73ec2dd5bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c7ac2f06f9e9227c7216c73ec2dd5bd">&#9670;&#160;</a></span>m_Delay</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref Timer Expansion_M203_HE_Explosion::m_Delay</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d60/a03446_source.html#l00015">15</a> of file <a class="el" href="../../d4/d60/a03446_source.html">m203.c</a>.</p>

</div>
</div>
<a id="ac3a5c343c376c83ac6a79869bcacd569" name="ac3a5c343c376c83ac6a79869bcacd569"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3a5c343c376c83ac6a79869bcacd569">&#9670;&#160;</a></span>m_ParticleExplosion</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/d05/a07222.html">Particle</a> Expansion_M203_HE_Explosion::m_ParticleExplosion</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/d60/a03446_source.html#l00016">16</a> of file <a class="el" href="../../d4/d60/a03446_source.html">m203.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Weapons/Scripts/4_world/dayzexpansion_weapons/entities/weapons/<a class="el" href="../../d4/d60/a03446_source.html">m203.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/dc8/a08122.html">Expansion_M203_HE_Explosion</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
